package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjZlyq;

/**
 * 设计信息-井身质量要求Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public interface SjZlyqMapper 
{
    /**
     * 查询设计信息-井身质量要求
     * 
     * @param id 设计信息-井身质量要求主键
     * @return 设计信息-井身质量要求
     */
    public SjZlyq selectSjZlyqById(Long id);

    /**
     * 查询设计信息-井身质量要求列表
     * 
     * @param sjZlyq 设计信息-井身质量要求
     * @return 设计信息-井身质量要求集合
     */
    public List<SjZlyq> selectSjZlyqList(SjZlyq sjZlyq);

    /**
     * 新增设计信息-井身质量要求
     * 
     * @param sjZlyq 设计信息-井身质量要求
     * @return 结果
     */
    public int insertSjZlyq(SjZlyq sjZlyq);

    /**
     * 修改设计信息-井身质量要求
     * 
     * @param sjZlyq 设计信息-井身质量要求
     * @return 结果
     */
    public int updateSjZlyq(SjZlyq sjZlyq);

    /**
     * 删除设计信息-井身质量要求
     * 
     * @param id 设计信息-井身质量要求主键
     * @return 结果
     */
    public int deleteSjZlyqById(Long id);

    /**
     * 批量删除设计信息-井身质量要求
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZlyqByIds(Long[] ids);

    int deleteSjZlyqByJh(String jh);

    int insertSjZlyqBatch(List<SjZlyq> sjZlyqList);


}
